Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleEventConnection

    java.lang.Object
      com.ibm.able.AbleEventConnection

All Implemented Interfaces:
  java.io.Serializable

public class AbleEventConnection
extends java.lang.Object
implements java.io.Serializable

The AbleEventConnection class defines a connection between an AbleBean and an AbleEventListener object. When the source bean fires any AbleEvent, the listener receives the event. Unlike listeners, connections are serializable.

See Also:
  Serialized Form

Field Summary
`protected AbleBean` | `eventSource` The originator of the event.
`protected AbleEventListener` | `listenerObj` The listener registered to receive events from the source.

Constructor Summary
`AbleEventConnection(AbleBean source, AbleEventListener target)` Create an event connection, so that any AbleEvent fired by the source AbleBean will be sent to any registered listeners.

Method Summary
`AbleEventListener` | `getListener()` Returns the listener registered to receive events.
`AbleBean` | `getSource()` Returns the originator of events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventSource

    protected AbleBean eventSource

  The originator of the event.

### listenerObj

    protected AbleEventListener listenerObj

  The listener registered to receive events from the source.

Constructor Detail

### AbleEventConnection

    public AbleEventConnection(AbleBean source,
                               AbleEventListener target)

  Create an event connection, so that any AbleEvent fired by the source AbleBean will be sent to any registered listeners.

Parameters:
  `source` - The originator of the event.
  `target` - The listener to be notified of events.

Method Detail

### getListener

    public AbleEventListener getListener()

  Returns the listener registered to receive events.

  Returns:
    The listener.

### getSource

    public AbleBean getSource()

  Returns the originator of events.

  Returns:
    The originator.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005